Bug 157336 - vte speed, memory, rendering enhancements
vte speed, memory, rendering enhancements
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: vte (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-05-10 14:33 EDT by Warren Togami
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-20 19:21:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 nathan r. hruby 2006-02-15 12:19:56 EST
This would, in fact, rock.
Comment 2 Ray Strode [halfline] 2006-02-15 16:18:43 EST
With the goal of minimizing risk of change for deployed systems, and in response
to customer and partner requirements, Red Hat takes a conservative approach when
evaluating changes for inclusion in maintenance updates for currently deployed
products. The primary objectives of update releases are to enable new hardware
platform support and to resolve critical defects. 

These improvements will be incorporated into a future major release of Red Hat
Enterprise Linux. Red Hat does not currently plan to provide a resolution for
this in a Red Hat Enterprise Linux update for currently deployed systems.
Comment 3 nathan r. hruby 2006-02-15 16:55:41 EST
Err... RHEL4 is still in Full Support [1] mode, so I'd suspect this falls into
the "available and qualified errata" catagory (and Fedora Core has proven that..).  

While probably not the primary objective of an Update Release, I think this is
super-useful and supports the Full Support model.  The fact of the matter is
that the default terminal for the default desktop environment is darn close to
unusable, which is probably not great for a Linux product (enterprise or otherwise).

I could open a bunch of bugs if you'd like, but it seems silly as this FE would
addess them all:
- Doesn't work with screen
- Mysterious resizes when term window is > 80x24
- Random crashes
- Poor encoding support
- Slow
- High memory usage per tab, makes more than 5 tabs is painful on a 1GB P4
system (while in RHEL3 with dzt, I typically ran about 20 tabs and performance
was more than acceptable).

(FWIW, uga.edu has an academic site license, which means we don't have the
ability to open up Support incidents on these sorts of things, else I would have
already.)

I humbly ask that you reconsider.

Thanks,

-n

1 - http://www.redhat.com/security/updates/errata/
Comment 4 Ray Strode [halfline] 2006-02-15 17:54:43 EST
Hi,

I am adding this to the proposed list for potential inclusion into a future RHEL
4 update.  Once on the proposed list it will be evaluated against other
candidates for update and weighed against Quality Engineering resources.
Comment 5 nathan r. hruby 2006-02-15 18:16:16 EST
Thanks!  
Comment 11 Behdad Esfahbod 2006-08-29 00:50:09 EDT
Rebasing definitely solve a ton of bugs, but it definitely introduce new ones too...
Comment 15 Daniel Riek 2006-11-20 19:01:09 EST
PM NAK based on the risk assessment.
Comment 16 RHEL Product and Program Management 2006-11-20 19:21:07 EST
Product Management has reviewed and declined this request.  You may appeal this
decision by reopening this request. 

Note You need to log in before you can comment on or make changes to this bug.